Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.lucene.basic
Class NodeInfo

    java.lang.Object
      org.modeshape.jcr.query.lucene.basic.NodeInfo

    @Immutable
    @Indexed(index="nodeinfo")
    public class NodeInfo

extends Object

A record object used to encapsulate the indexable information about a node. Some fields are known ahead of time, such as the `id`, `name`, `localName`, `depth`, etc., but other fields are used to store the properties that cannot be known at compile time. These fields are represented on this object using `DynamicField` instances, which can be chained together.

Constructor Summary
`NodeInfo(String nodeKey, String workspace, String path, String localName, String name, int snsIndex, int depth, DynamicField firstDynamicField)`

Method Summary
`int` | `getDepth()` Get the depth of the node.
`DynamicField` | `getFirstDynamicField()` Get the information about the first dynamic field for this node.
`String` | `getId()` Get the unique ID for the node.
`String` | `getLocalName()` Get the local name of the node.
`String` | `getName()` Get the name of the node.
`String` | `getPath()` Get the string path.
`int` | `getSnsIndex()` Get the same-name-sibling index of the node.
`String` | `getWorkspace()` The name of the workspace.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeInfo

    public NodeInfo(String nodeKey,
                    String workspace,
                    String path,
                    String localName,
                    String name,
                    int snsIndex,
                    int depth,
                    DynamicField firstDynamicField)

Method Detail

### getId

    public String getId()

  Get the unique ID for the node.

  Returns:
    the id; never null

### getPath

    public String getPath()

  Get the string path.

  Returns:
    the path; never null

### getName

    public String getName()

  Get the name of the node.

  Returns:
    the name; never null

### getLocalName

    public String getLocalName()

  Get the local name of the node.

  Returns:
    the local name; never null

### getSnsIndex

    public int getSnsIndex()

  Get the same-name-sibling index of the node.

  Returns:
    the SNS index

### getDepth

    public int getDepth()

  Get the depth of the node.

  Returns:
    the depth; always >= 0

### getFirstDynamicField

    public DynamicField getFirstDynamicField()

  Get the information about the first dynamic field for this node. Additional dynamic fields are changed and can be access via the `DynamicField.getNext()` method.

  Returns:
    the first dynamic field; may be null

### getWorkspace

    public String getWorkspace()

  The name of the workspace.

  Returns:
    the workspace name; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.